using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Pipeline.SalesTeam.Cqrs;

public class UpdateSalesTeamValidator : AbstractValidator<UpdateSalesTeamRequest>
{
    public UpdateSalesTeamValidator()
    {
        RuleFor(x => x.Id)
            .NotEmpty().WithMessage("ID is required for update");

        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Team Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.Description)
            .MaximumLength(GlobalConsts.StringLengthMedium);
    }
}